CVE-2018-19352

Published: 18 November 2018

Jupyter Notebook before 5.7.2 allows XSS via a crafted directory name because notebook/static/tree/js/notebooklist.js handles certain URLs unsafely.

Priority

Medium

CVSS 3 base score: 6.1

Status

Package Release Status
jupyter-notebook
Launchpad, Ubuntu, Debian
Upstream
Released (5.7.4-1)
Ubuntu 21.04 (Hirsute Hippo) Not vulnerable
(5.7.4-1)
Ubuntu 20.04 LTS (Focal Fossa) Not vulnerable
(5.7.4-1)
Ubuntu 18.04 LTS (Bionic Beaver) Not vulnerable
(code not present)
Ubuntu 16.04 ESM (Xenial Xerus) Does not exist

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist